# vim: set ts=4 sw=4 et:

%define         soname      0

Name:           wxsvg
Version:        1.0.10
Release:        1.pm.1.2
Summary:        Library to create, manipulate and render SVG files
URL:            http://wxsvg.sourceforge.net/
License:        LGPL
Group:          System/Libraries
Source:         http://prdownloads.sourceforge.net/wxsvg/%{name}-%{version}.tar.bz2
Patch1:         wxsvg-fix_wxstring_comparison.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-c++ libart_lgpl-devel libffmpeg_oldabi-devel
%if 0%{?suse_version} > 1130
%define         _use_internal_dependency_generator 0
%define         __find_requires %wx_requires
BuildRequires:  wxWidgets-wxcontainer-devel
%else
BuildRequires:  wxGTK-devel
%endif
BuildRequires:  libexpat-devel

%description
WxSVG is C++ library to create, manipulate and render SVG files.

%package -n     lib%{name}%{soname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n lib%{name}%{soname}
Dynamic libraries from %{name}, as required at runtime.

%package -n     lib%{name}-devel
Summary:        Header files and static libraries from %{name}
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Requires:       %{name} = %{version}
Requires:       gcc-c++ libart_lgpl-devel libffmpeg-devel
Requires:       libexpat-devel
%if 0%{?suse_version} > 1130
Requires:       wxWidgets-wxcontainer-devel  
%else
Requires:       wxGTK-devel
%endif

%description -n lib%{name}-devel
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch1

%build
libtoolize --force --copy
./autogen.sh
export CXXFLAGS="$RPM_OPT_FLAGS -lswscale"
%configure --disable-static
%__make  %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -f %{buildroot}/%{_libdir}/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/svgview

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libwxsvg.so.%{soname}
%{_libdir}/libwxsvg.so.%{soname}.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/wxSVG
%{_includedir}/wxSVGXML
%{_libdir}/libwxsvg.so
%{_libdir}/pkgconfig/libwxsvg.pc

%changelog
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <1.0.10>
  * fixed wxSVGCanvasImage::Init()
* Sun Feb 27 2011 detlef@links2linux.de
- new upstream version <1.0.8>
  * fixed wxFfmpegMediaDecoder::GetFrameAspectRatio()
* Mon Aug 30 2010 detlef@links2linux.de
- new upstream version <1.0.7.1>
* Sun Aug 29 2010 detlef@links2linux.de
- new upstream version <1.0.6>
  * fixed rendering of video frame
* Fri Jul 23 2010 detlef@links2linux.de
- new upstream version <1.0.5>
  * added possibility to render without preserving aspect ratio.
  * fixed bug in wxSVGCanvasTextFreetype
* Wed Mar 31 2010 detlef@links2linux.de
- new upstream version <1.0.4>
  * fixed memory leak (thanks to Lucian Ion)
* Fri Mar 12 2010 detlef@links2linux.de
- new upstream version <1.0.3>
  * fixed handling of image alpha channel
  * changed to use system expat library
* Sat Jan 30 2010 detlef@links2linux.de
- new upstream version <1.0.2>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <1.0f>
  * added ffmpeg media decoder
  * added support of agg 2.5
  * implemented baseline
  * fixed text-anchor
  * added support of svg gradients
  * implemented GetResultBBox() (SVG1.2)
  * added parameter coordinates (wxSVG_COORDINATES) to GetBBox()
  * fixed text rendering under some platforms
  * implemented saving
  * added GetOwnerDocument()
  * added GetAttribute()
  * fixed CloneNode() and copy constructors
  * added copy constructor to wxSVGPathSegList
  * added rect parameter to wxSVGDocument::Render()
  * wxSVGCtrl: fixed refresh (redraw buffer only in OnPaint)
  * added cairo backend (disabled by default)
  * some other small changes and bug fixes
* Tue Sep 16 2008 detlef@links2linux.de
- new upstream version <1.0b11>
* Wed Apr  2 2008 detlef@links2linux.de
- change to wxWidgets
* Thu Mar  6 2008 detlef@links2linux.de
- new upstream version <1.0b10>
* Mon Jan  7 2008 detlef@links2linux.de
- new upstream version <1.0b8>
* Fri Jan  5 2007 detlef@links2linux.de
- new upstream version
* Thu Jun 15 2006 detlef@links2linux.de
- first build for SUSE (Packman)
* Tue Apr 11 2006 jmartin@mandriva.org
- beta6
- Fixed licence
* Fri Feb  3 2006 austin@mandriva.org
- beta5 + fixes from cvs
* Fri Dec 30 2005 austin@mandriva.org
- initial package
